summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorWarren Togami <wtogami@redhat.com>2009-06-30 16:27:45 -0400
committerWarren Togami <wtogami@redhat.com>2009-06-30 16:27:45 -0400
commit92798bf79b7536e9bf5759265064fc1b8c624a49 (patch)
tree85352e5c0fe0b436d32d52c054f03f83afeb02d8 /test
parent696e68c643aecd37b62ccee374b6fb1ca05339b9 (diff)
netroot= variant is not supported for NFS, you must use root=
TODO: This temporarily breaks Legacy root=/dev/nfs.
Diffstat (limited to 'test')
-rwxr-xr-xtest/TEST-20-NFS/test.sh33
1 files changed, 7 insertions, 26 deletions
diff --git a/test/TEST-20-NFS/test.sh b/test/TEST-20-NFS/test.sh
index ee514b0..aeef366 100755
--- a/test/TEST-20-NFS/test.sh
+++ b/test/TEST-20-NFS/test.sh
@@ -104,34 +104,25 @@ test_nfsv3() {
client_test "NFSv3 root=dhcp DHCP path only" 52:54:00:12:34:00 \
"root=dhcp" 192.168.50.1 -wsize=4096 || return 1
- client_test "NFSv3 netroot=dhcp DHCP path only" 52:54:00:12:34:00 \
- "netroot=dhcp" 192.168.50.1 -wsize=4096 || return 1
+# XXX: Temporarily not supported during refactoring
+# client_test "NFSv3 Legacy root=/dev/nfs DHCP path only" 52:54:00:12:34:00 \
+# "root=/dev/nfs" 192.168.50.1 -wsize=4096 || return 1
- client_test "NFSv3 root=/dev/nfs DHCP path only" 52:54:00:12:34:00 \
- "root=/dev/nfs" 192.168.50.1 -wsize=4096 || return 1
+# client_test "NFSv3 Legacy root=/dev/nfs DHCP IP:path" 52:54:00:12:34:01 \
+# "root=/dev/nfs" 192.168.50.2 -wsize=4096 || return 1
- client_test "NFSv3 netroot=dhcp DHCP IP:path" 52:54:00:12:34:01 \
- "netroot=dhcp" 192.168.50.2 -wsize=4096 || return 1
+# client_test "NFSv3 Legacy root=/dev/nfs nfsroot=IP:path" 52:54:00:12:34:01 \
+# "root=/dev/nfs nfsroot=192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
client_test "NFSv3 root=dhcp DHCP IP:path" 52:54:00:12:34:01 \
"root=dhcp" 192.168.50.2 -wsize=4096 || return 1
- client_test "NFSv3 root=/dev/nfs DHCP IP:path" 52:54:00:12:34:01 \
- "root=/dev/nfs" 192.168.50.2 -wsize=4096 || return 1
-
client_test "NFSv3 root=dhcp DHCP proto:IP:path" 52:54:00:12:34:02 \
"root=dhcp" 192.168.50.3 -wsize=4096 || return 1
- client_test "NFSv3 netroot=dhcp DHCP proto:IP:path:options" \
- 52:54:00:12:34:03 "netroot=dhcp" 192.168.50.3 wsize=4096 || return 1
-
client_test "NFSv3 root=dhcp DHCP proto:IP:path:options" 52:54:00:12:34:03 \
"root=dhcp" 192.168.50.3 wsize=4096 || return 1
- client_test "NFSv3 netroot=nfs:..." 52:54:00:12:34:04 \
- "netroot=nfs:192.168.50.1:/nfs/client" 192.168.50.1 \
- -wsize=4096 || return 1
-
client_test "NFSv3 root=nfs:..." 52:54:00:12:34:04 \
"root=nfs:192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
@@ -154,22 +145,12 @@ test_nfsv4() {
# server, so put these later in the list to avoid a pause when doing
# switch_root
- client_test "NFSv4 netroot=dhcp DHCP proto:IP:path" 52:54:00:12:34:82 \
- "netroot=dhcp" 192.168.50.3 -wsize=4096 || return 1
-
client_test "NFSv4 root=dhcp DHCP proto:IP:path" 52:54:00:12:34:82 \
"root=dhcp" 192.168.50.3 -wsize=4096 || return 1
- client_test "NFSv4 netroot=dhcp DHCP proto:IP:path:options" \
- 52:54:00:12:34:83 "netroot=dhcp" 192.168.50.3 wsize=4096 || return 1
-
client_test "NFSv4 root=dhcp DHCP proto:IP:path:options" 52:54:00:12:34:83 \
"root=dhcp" 192.168.50.3 wsize=4096 || return 1
- client_test "NFSv4 netroot=nfs4:..." 52:54:00:12:34:84 \
- "netroot=nfs4:192.168.50.1:/client" 192.168.50.1 \
- -wsize=4096 || return 1
-
client_test "NFSv4 root=nfs4:..." 52:54:00:12:34:84 \
"root=nfs4:192.168.50.1:/client" 192.168.50.1 \
-wsize=4096 || return 1